Skip to main content

Car Wash Sales


This section describes how to process a sale transaction.

A sale combines an authorization and a capture into a single transaction.

Supported processor: Fiserv RapidConnect

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000764"    },    "processingInformation": {        "commerceIndicator": "INTERNET",        "capture": true    },    "orderInformation": {        "lineItems": [            {                "unitPrice": "20",                "totalAmount": "200",                "unitOfMeasure": "case",                "referenceDataNumber": "25-03-00",                "referenceDataCode": "carwash",                "measurement": 1            },            {                "unitPrice": "20",                "totalAmount": "200",                "unitOfMeasure": "Gallon",                "referenceDataNumber": "01-03-00",                "referenceDataCode": "nacs",                "measurement": 1            }        ],        "billTo": {            "country": "US",            "firstName": "John",            "lastName": "Smith",            "phoneNumber": "650-965-6111",            "address1": "600 Morgan Falls Road",            "postalCode": "94566-1234",            "locality": "Atlanta",            "administrativeArea": "MI",            "email": ""        },        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    },    "merchantInformation": {        "merchantDescriptor": {            "name": "Fast Gas"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2030",            "expirationMonth": "02"        },        "instrumentIdentifier": {            "id": "7018759999957811111"        }    }}
{    "paymentInformation": {        "bin": "411111",        "issuer": "CONOTOXIA SP. Z O.O",        "binCountry": "PL",        "accountType": "Visa Classic",        "cardBrand": "VISA",        "cardType": "001",        "instrumentIdentifier": {            "id": "7018759999957811111",            "state": "ACTIVE"        }    },    "submitTimeUtc": "2025-03-10T20:51:26Z",    "_links": {        "refund": {            "href": "/pts/v2/payments/7416398860323232235535/refunds",            "method": "POST"        },        "void": {            "href": "/pts/v2/payments/7416398860323232235535/voids",            "method": "POST"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7416398860323232235535"        }    },    "processorInformation": {        "approvalCode": "OK1272",        "consumerAuthenticationResponse": {            "code": "1",            "codeRaw": "1"        },        "responseCodeSource": "4",        "networkTransactionId": "0014239537635196CN",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500027",        "merchantNumber": "RCTST1000107085"    },    "clientReferenceInformation": {        "code": "123456789012"    },    "pointOfSaleInformation": {        "terminalId": "00000001"    },    "id": "7416398860323232235535",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "reconciliationId": "000000050000764",    "status": "COMPLETED",    "tokenInformation": {        "instrumentIdentifierNew": false,        "instrumentIdentifier": {            "id": "7018759999957811111",            "state": "ACTIVE"        }    },    "embeddedActions": {        "TOKEN_RETRIEVE": {            "status": "SUCCESS"        }    }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.phoneNumber—
orderInformation.billTo.postalCode—
orderInformation.lineItems[].measurement—
orderInformation.lineItems[].referenceDataCode—
orderInformation.lineItems[].referenceDataNumber—
orderInformation.lineItems[].totalAmount—
orderInformation.lineItems[].unitOfMeasure—
orderInformation.lineItems[].unitPrice—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.instrumentIdentifier.id—
processingInformation.captureSet the value to true.
processingInformation.commerceIndicatorSet the value to internet.

Last published: September 29, 2026